<kbd id="gn8q2"><thead id="gn8q2"><acronym id="gn8q2"></acronym></thead></kbd>
<nobr id="gn8q2"><big id="gn8q2"><tr id="gn8q2"></tr></big></nobr><noframes id="gn8q2"><sup id="gn8q2"></sup></noframes>
<nobr id="gn8q2"><object id="gn8q2"></object></nobr>
  • <tbody id="gn8q2"><option id="gn8q2"></option></tbody>

      GAP

      Main Branches

      Downloads  Installation  Overview  Data Libraries  Packages  Documentation  Contacts  FAQ  GAP 3 

      GAP package AClib

      Almost Crystallographic Groups - A Library and Algorithms

      The AClib package contains a library of almost crystallographic groups and a some algorithms to compute with these groups. A group is called almost crystallographic if it is finitely generated nilpotent-by-finite and has no non-trivial finite normal subgroups. Further, an almost crystallographic group is called almost Bieberbach if it is torsion-free. The almost crystallographic groups of Hirsch length 3 and a part of the almost cyrstallographic groups of Hirsch length 4 have been classified by Dekimpe. This classification includes all almost Bieberbach groups of Hirsch lengths 3 or 4. The AClib package gives access to this classification; that is, the package contains this library of groups in a computationally useful form. The groups in this library are available in two different representations. First, each of the groups of Hirsch length 3 or 4 has a rational matrix representation of dimension 4 or 5, respectively, and such representations are available in this package. Secondly, all the groups in this libraray are (infinite) polycyclic groups and the package also incorporates polycyclic presentations for them. The polycyclic presentations can be used to compute with the given groups using the methods of the Polycyclic package.

      Authors
      Karel Dekimpe, Bettina Eick
      Maintainer
      Bettina Eick
      Shipped Version
      1.3.2    (Released 28/01/2020)
      License
      Artistic-2.0
      Status
      accepted    (communicated by Gerhard Hiss (Aachen), accepted 01/02/2001)
      Dependencies
      GAP version: >=4.7
      Needed other packages: polycyclic(>=1.0)
      Suggested other packages: crystcat(>=1.1)
      Documentation
      [HTML]     [PDF]

      Download

      [README]    aclib-1.3.2 [.tar.gz]    [.tar.bz2]    [-win.zip]    [.zip]

      王中王中特免费公开资料选料